%define upstream_name    GPS-Poi
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    'ov2' file extension of POI (Point of Interrest) for tomtom GPS
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Std::Utils)
BuildArch:  noarch

%description
GPS::Poi is a Perl module who provides a variety of low- and high-level
methods for parsing 'ov2' extension file of POI (Point of Interrest)
as used by Tomtom GPSes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 511824
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 367588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 01 2011 tv <tv> 0.10.0-1.mga1
+ Revision: 79590
- imported package perl-GPS-Poi


* Fri Apr 01 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist